fcf.module({
  name: "fcf:NFSQL/NEvent/PrepareQuery.js",
  dependencies: [],
  module: function(Event) {
    var NEvent = fcf.prepareObject(fcf, "NFSQL.NEvent");

    NEvent.PrepareQuery = function(a_args, a_subEvent) {
      fcf.Event.call(this, "nfsql.prepare_query", a_args, a_subEvent);

      this.directionalСall = false;

      // this.query = undefined;
    }

    return NEvent.PrepareQuery;
  }
});
